using System;
using System.Windows.Controls;

internal sealed class Delegate528 : MulticastDelegate
{
	public extern void Invoke(object object_0, SelectionChangedEventHandler selectionChangedEventHandler_0);

	public static void smethod_0(object object_0, SelectionChangedEventHandler selectionChangedEventHandler_0, Delegate528 delegate528_1)
	{
		delegate528_1(object_0, selectionChangedEventHandler_0);
	}

	public extern Delegate528(object object_0, IntPtr intptr_0);

	static Delegate528()
	{
		Class10.smethod_13(typeof(Delegate528).TypeHandle);
	}

	internal static Delegate528 delegate528_0;
}
